Metadata-Version: 2.4
Name: argparse-help-markdown
Version: 0.1.0
Summary: Pull argparse configuration out of a CLI tool and write it as Markdown. Great for embedding in a README.md with cog.
Author-email: ellieayla <1447600+me@users.noreply.github.com>
Requires-Python: >=3.8
Description-Content-Type: text/markdown

Pull argparse configuration out of a CLI tool and write it as Markdown.

Great for embedded in a README.md with cog.

Possible invocation options:

```sh
# entrypoint command, dotted module
uv run argparse-help-markdown -m tests.data.example

# script, script
argparse_help_markdown.py script.py

# import, function, custom writer
from argparse_help_markdown import run_script
with open("out.md", mode="w") as f:
    run_script("mytool.py", include_usage=True, writer=f)
```


```
usage: cog script.py
```

| Options | Values  | Help |
| ------- | ------- | ---- |
| *positional arguments* | |
| 
filename
 | Optional. | Path to the subject script. |
| *options* | |
| 
-h --help
 | Flag. | show this help message and exit |
| 
--usage
 | Flag. | Emit the terse usage info in triple-ticks. Excluded by default. |
| 
--write
 | Optional. | Write to named file instead of stdout. |
| 
-m --module
 | Optional. | Run as module. |

